Weather
The weather forecast for a location, as used in Zympler's forecasting and planning.
Weather forecast for a location
GET /weather-forecast/locations/{location_id}
curl
LOCATION_ID="<location_id>"
curl -X GET "https://api.zympler.com/v1beta/weather-forecast/locations/$LOCATION_ID?start=2026-01-01T00:00:00Z&end=2026-01-01T00:00:00Z" \
-H "Authorization: Bearer $ZYMPLER_TOKEN"Rust
let location_id = "<location_id>";
let response = reqwest::Client::new()
.get(format!("https://api.zympler.com/v1beta/weather-forecast/locations/{location_id}"))
.bearer_auth(&token)
.query(&[("start", "2026-01-01T00:00:00Z"), ("end", "2026-01-01T00:00:00Z")])
.send()
.await?
.error_for_status()?;
let body: serde_json::Value = response.json().await?;Python
location_id = "<location_id>"
response = requests.get(
f"https://api.zympler.com/v1beta/weather-forecast/locations/{location_id}",
headers={"Authorization": f"Bearer {token}"},
params={
"start": "2026-01-01T00:00:00Z",
"end": "2026-01-01T00:00:00Z",
},
timeout=30,
)
response.raise_for_status()
data = response.json()Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
location_id | path | string (uuid) | yes | Location ID |
start | query | string (date-time) | yes | The start datetime for the selected range (in 2024-08-21T13:00:00Z format) |
end | query | string (date-time) | yes | The end datetime for the selected range (in 2024-08-21T13:00:00Z format) |
resolution | query | string: 1m, 15m | The resolution of the interval (minute or quarter of an hour), defaults to quarter of an hour | |
historic_view_at | query | string (date-time) | Use with care. Setting this parameter will return data as it was at the given timestamp. | |
weather_model | query | string | Retrieve data for a specific weather model |
Responses
Fields
| Field | Type | Required | Description |
|---|---|---|---|
[].id | string (uuid) | yes | |
[].source | string | yes | |
[].h3_index | string | yes | |
[].latitude | number (double) | yes | |
[].longitude | number (double) | yes | |
[].time | string (date-time) | yes | |
[].temperature_2m | number (double) | yes | |
[].relativehumidity_2m | number (double) | yes | |
[].precipitation | number (double) | yes | |
[].cloudcover | number (double) | yes | |
[].windspeed_10m | number (double) | yes | |
[].winddirection_10m | number (double) | yes | |
[].windspeed_120m | number (double) | ||
[].shortwave_radiation | number (double) | yes | |
[].diffuse_radiation | number (double) | yes | |
[].direct_normal_irradiance | number (double) | yes | |
[].snow_depth | number (double) | yes | |
[].retrieved_at | string (date-time) | yes | Measurement time (in 2024-08-21T13:00:00Z format) |
[].data_type | string: Actual, Forecast | yes | Type of external data |
Status codes
| Status | Description |
|---|---|
200 | Ok |